<?php 
/**
 * Modelo para la tabla opina_user
 * Creado por Said Andres
 * 19/04/2022
 */
class UserModel extends CI_Model
{
	//Metodo Para insertar datos en la tabla opina_user
	public function insert_user($data)
	{
		if ($this->db->insert('opina_users',$data)) {
			return true;
		}else{
			return false;
		}
	}


	//Metodo que realiza un update a la tabla opina_user
	//Recibe un array con los datos, un campo, y el dato a actualizar
	public function update_user($data,$field,$where)
	{
		$this->db->where($field,$where);
		if ($this->db->update('opina_users',$data)) {
			return true;
		}else{
			return false;
		}
	}

	//Metodo para eliminar un usuario de la tabla opina_user
	//solo se puede eliminar con el user_id
	public function detele_user($where)
	{
		$this->db->where('user_id',$where);
		if ($this->db->delete('opina_users')) {
			return true;
		}else{
			return false;
		}
	}

	//Metodo que registros de la tabla opina user
	//si recibe un parametro ejecuta la consulta con filtro
	public function get_users($where='')
	{
		if ($where == "") {
			$sql = "SELECT * FROM opina_users";
		}else{
			$sql = "SELECT * FROM opina_users WHERE ".$where;
		}
		return $this->db->query($sql);
	}

}

 ?>